// 校友风采
import request from "@/utils/request";

// 12.3.	校友风采分页数据
export function queryEndorsePage(params) {
  return request({
    url: `/api/alumniEndorse/queryEndorsePage`,
    method: "get",
    params,
  });
}
// 12.1.	新增校友风采数据
export function insertEndorseData(data) {
  return request({
    url: "/api/alumniEndorse/insertEndorseData",
    method: "post",
    data,
  });
}
// 12.2.	编辑校友风采数据
export function updateEndorseData(data) {
  return request({
    url: "/api/alumniEndorse/updateEndorseData",
    method: "post",
    data,
  });
}

// 12.4.	删除校友风采数据
export function deleteEndorseById(params) {
  return request({
    url: "/api/alumniEndorse/deleteEndorseById",
    method: "get",
    params, // 传修改后的菜单对象，必须带id
  });
}
